PUPPET-INSPECT(8)

NAME
puppet-inspect - Send an inspection report

SYNOPSIS
Prepares and submits an inspection report to the puppet master.

USAGE
puppet inspect [--archive_files] [--archive_file_server]

DESCRIPTION
This command uses the cached catalog from the previous run of 'puppet agent' to determine which attributes of which resources have been marked as auditable with the 'audit' metaparameter. It then examines the current state of the system, writes the state of the specified resource attributes to a report, and submits the report to the puppet master.

Puppet inspect does not run as a daemon, and must be run manually or from cron.

OPTIONS
Any configuration setting which is valid in the configuration file is also a valid long argument, e.g. '--server=master.domain.com'. See the configuration file documentation at http://docs.puppetlabs.com/references/latest/configuration.html for the full list of acceptable settings.

--archive_files
    During an inspect run, whether to archive files whose contents are audited to a file bucket.

--archive_file_server
    During an inspect run, the file bucket server to archive files to if archive_files is set. The default value is '$server'.

AUTHOR
Puppet Labs

COPYRIGHT
Copyright (c) 2011 Puppet Labs, LLC Licensed under the Apache 2.0 License